DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# PixelTableShiftOrigin

Changes the origin of the pixel table

## SYNOPSIS

`#include "dip_pixel_table.h"`

dip_Error dip_PixelTableShiftOrigin ( table, offset )

## FUNCTION

This function changes the origin of the pixel table `table`. By default, the origin is equal to the bounding box divided by 2 (integer divistion), meaning it is the middle pixel if the bounding box is odd in size, or the pixel to the right of the middle if it is even in size. After calling this function, the origin is equal to the previous origin plus the `offset`.

## ARGUMENTS

Data type | Name | Description
`dip_PixelTable` | `table` | Pixel table
`dip_IntegerArray` | `offset` | An offset array, to be added to the origin

## SEE ALSO

Description of DIPlib's pixel tables

`PixelTableNew`, `PixelTableSetRun`, `PixelTableGetRun`, `PixelTableAddRun`, `PixelTableGetRuns`, `PixelTableGetDimensionality`, `PixelTableGetDimensions`, `PixelTableGetSize`, `PixelTableGetPixelCount`, `PixelTableGetOffsetAndLength`